Comment 13 for bug 1834406

Gunnar Hjalmarsson (gunnarhj) wrote :

Call for testing
================

Since the proposed upgrade of fonts-noto-cjk affects most CJK users and includes changes beyond the glyphs for rendering the Reiwa character, we hope for help with testing by users who speak Chinese, Japanese and/or Korean before the packages are made available to all users via -updates.

Testing on the latest LTS, i.e. Ubuntu 18.04, is preferable, but also testing fonts-noto-cjk 1:20190409+repack1-0ubuntu* on 19.04 or even eoan helps.

These are the steps to install the new versions of the affected packages from bionic-proposed:

1. Enable bionic-proposed
-------------------------

* Open Software & Updates and select the "Developer Options" tab.

* Check the "Pre-released updates" option.

2. Update the package information on your system
------------------------------------------------

sudo apt update

3. Install/upgrade the packages
-------------------------------

sudo apt install fonts-noto-cjk* language-selector-*

4. Disable bionic-proposed
--------------------------

* Open Software & Updates and select the "Developer Options" tab.

* Uncheck the "Pre-released updates" option.

5. Update the package information on your system
------------------------------------------------

sudo apt update

With that your system is back to normal, except for those four packages from -proposed. You can confirm that you got the right versions by using this command:

dpkg-query -W fonts-noto-cjk* language-selector-*

It should show this info:

fonts-noto-cjk 1:20190409+repack1-0ubuntu0.18.04
fonts-noto-cjk-extra 1:20190409+repack1-0ubuntu0.18.04
language-selector-common 0.188.3
language-selector-gnome 0.188.3

Then I simply ask you to use your computer for your daily needs when dealing with CJK contents, and submit a comment here after a few days about your experience. Any kinds of comments are helpful, both "works well" and info about issues you stumble upon. Most important, of course, is that no new issues are introduced via this upgrade.

Thanks in advance for your help with this!